#!/bin/sh
#
# source: ftp://ftp.kde.org/pub/kde/stable/4.5.1/src/kdemultimedia-4.5.1.tar.bz2
#
# maintainer: gmg (monpontet.gerard@neuf.fr)
#

#------------------Set Some Variables

soft='kdemultimedia-kscd'
softversion='4.5.1'
packageversion='66.1'

arch='i486'
cpu='i686'

buildir=$(pwd)
srcpkg="$buildir/kdemultimedia-4.5.1.tar.bz2"
src="$buildir/kdemultimedia-4.5.1"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

cd $buildir
rm -rf $src
tar -xvjf $srcpkg
rm -f $dest.tgz
rm -rf $dest
mkdir -p $dest

cd $src
chown -R root:root .
find . \
 \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 -exec chmod 755 {} \; -o \
 \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 -exec chmod 644 {} \;
CFLAGS="-O2 -march=$arch -mtune=$cpu"
  cmake \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DCMAKE_BUILD_TYPE=Release \
    -DSYSCONF_INSTALL_DIR=/etc/kde \
    -DCMAKE_C_FLAGS:STRING="$CFLAGS" \
    -DCMAKE_CXX_FLAGS:STRING="$CFLAGS" \

make -j4

cd $src/kscd

make install DESTDIR=$dest

find $dest | xargs file | grep -e "shared object" -e "executable" | grep ELF \
  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null

#-------------------Prepare the documentation

cd $src/kscd
mkdir -p $dest/usr/doc/$soft-$softversion 
cp -a ChangeLog README TODO $dest/usr/doc/$soft-$softversion

mkdir -p $dest/install
cat << EODESC > $dest/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

                  |-----handy-ruler--------------------------------------------|
kdemultimedia-kscd: kdemultimedia-kscd is a kde audio CD player
kdemultimedia-kscd:
kdemultimedia-kscd: KsCD is a small, fast, CDDB enabled audio CD player for UNIX,
kdemultimedia-kscd: Windows and Mac OS platforms
kdemultimedia-kscd: 
kdemultimedia-kscd: 
kdemultimedia-kscd:
kdemultimedia-kscd: 
kdemultimedia-kscd: 
kdemultimedia-kscd:     
kdemultimedia-kscd:    
EODESC

mkdir -p $dest/usr/src/$soft-$softversion
cp -a $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

#-------------------Make the packages and the md5sum

cd $dest
makepkg -l y -c n $dest.txz
cd $buildir
md5sum $package.txz > $package.md5